Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

92 lines (81 sloc) 3.34 kB
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{cuke4php}
s.version = "0.9.9"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = [%q{Kevin Olbrich}, %q{Alessandro Dal Grande}]
s.date = %q{2011-09-05}
s.description = %q{Using this protocol it is possible to directly interact with PHP code at any level without the need for a web server. To accomplish this, when cucumber is running against a directory containing feature files and it cannot resolve a particular step definition, it will ask a known wire server (as defined in a .wire file) to interpret and run those steps.}
s.email = [%q{kevin.olbrich+cuke4php@gmail.com}, %q{aledalgrande@gmail.com}]
s.executables = [%q{cuke4php_forking_server}, %q{cuke4php_server}, %q{cuke4php}]
s.extra_rdoc_files = [
"LICENSE",
"README.md"
]
s.files = [
".document",
"Gemfile",
"HISTORY",
"LICENSE",
"README.md",
"Rakefile",
"VERSION",
"bin/cuke4php",
"bin/cuke4php_forking_server",
"bin/cuke4php_server",
"cucumber.yml",
"cuke4php.gemspec",
"features/Cuke4Php.feature",
"features/scenario.feature",
"features/step_definitions/Cuke4Php.wire",
"features/step_definitions/TestSteps.php",
"features/step_definitions/WireSteps.php",
"features/support/Env.php",
"features/transform.feature",
"lib/Cucumber.php",
"lib/CucumberScenario.php",
"lib/CucumberSteps.php",
"lib/Cuke4Php.php",
"lib/Cuke4PhpForkingServer.php",
"php_bin/cuke4php_forking_server.php",
"php_bin/cuke4php_server.php",
"tests/lib/CucumberScenarioTest.php",
"tests/lib/Cuke4PhpTest.php"
]
s.homepage = %q{http://github.com/olbrich/cuke4php}
s.post_install_message = %q{********************************************************************************
Please install PHPUnit >= 3.0 if you've not already done it!
Add PEAR channels:
pear channel-discover pear.phpunit.de
pear channel-discover components.ez.no
pear channel-discover pear.symfony-project.com
Install PHPUnit:
pear install phpunit/PHPUnit
Optional: Use PEAR/Net_Server for a remote forking server implementation
(requires PHP with pcntl extensions)
********************************************************************************
}
s.require_paths = [%q{lib}]
s.requirements = [%q{PHP 5.2+}, %q{PHPUnit 3.0+}]
s.rubygems_version = %q{1.8.5}
s.summary = %q{Implementation of the Cucumber wire protocol for PHP projects}
if s.respond_to? :specification_version then
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<cucumber>, [">= 0.10.2"])
s.add_development_dependency(%q<bundler>, ["~> 1.0"])
s.add_development_dependency(%q<jeweler>, [">= 0"])
else
s.add_dependency(%q<cucumber>, [">= 0.10.2"])
s.add_dependency(%q<bundler>, ["~> 1.0"])
s.add_dependency(%q<jeweler>, [">= 0"])
end
else
s.add_dependency(%q<cucumber>, [">= 0.10.2"])
s.add_dependency(%q<bundler>, ["~> 1.0"])
s.add_dependency(%q<jeweler>, [">= 0"])
end
end
Jump to Line
Something went wrong with that request. Please try again.